declare const JsonSerializer: any;
/**
 * Comination of several serializer for Workbench App
 *
 * @class WorbenchSerialier
 */
export declare class WorkbenchSerializer extends JsonSerializer {
    /**
     * Creates an instance of WorkbenchSerializer.
     *
     * @member of WorkbenchSerializer
     */
    constructor();
    /**
     * Serializer a JS object to Buffer
     *
     * @param {Object} obj
     * @param {String} type of packet
     * @returns {Buffer}
     *
     * @memberof Serializer
     */
    serialize(obj: any): Buffer;
    /**
     * Deserialize Buffer to JS object
     *
     * @param {Buffer} buf
     * @param {String} type of packet
     * @returns {Object}
     *
     * @memberof Serializer
     */
    deserialize(buf: any): any;
}
export {};
